Google Error: "This app is blocked"

If you encounter a "This app is blocked" error message while attempting to authenticate an Integration, , then you will need to update your Google settings and update Rockerbox to be a trusted app. In order to accomplish this, you will need to be a Google Workspace Administrator. Then, follow the steps below.

  1. Navigate to your Google Workspace Admin dashboard.
  2. In the top search bar, search for "API Controls" and select the option nested under "Security."
  3. Click "MANAGE THIRD-PARTY APP ACCESS" on the right side of the page.
  4. Search for "Rockerbox"
  5. Click "Change Access"
  6. Select "Trusted" and submit

Video Walkthrough


Did this page help you?